# $Revision: 1.34.2.2 $, $Date: 2007/03/18 13:58:10 $ 
#
# bconds:
%bcond_without	home_etc    # disable HOME_ETC support
#
Summary:	Console audio player with simple ncurses interface
Summary(pl):	Konsolowy odtwarzacz audio z prostym interfejsem ncurses
Name:		moc
Version:	2.4.1
Release:	6
License:	GPL
Group:		Applications/Sound
Source0:	ftp://ftp.daper.net/pub/soft/moc/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	7b760a9c05d3f50781d06ed2d83aaee8
Patch0:		%{name}-home_etc.patch
Patch1:		%{name}-flac.patch
URL:		http://moc.daper.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	speex-devel
BuildRequires:	flac-devel >= 1.1.3
BuildRequires:	libao-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libltdl-devel
BuildRequires:	libmad-devel
BuildRequires:	libmpcdec-devel >= 1.2
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	taglib-devel >= 1.3.1
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_decoder_plugins	%{_libdir}/%{name}/decoder_plugins

%description
MOC is a console audio player with simple ncurses interface in
playmp3list style. It supports MP3, Ogg, FLAC, Musepack, Speex, WAV
and other less popular formats supported by libsndfile. It has 
all functions one may expect from simple audio player. Now it supports
net streams (shoutcast, icecast, regular HTTP, FTP) also.

%description -l pl
MOC to konsolowy odtwarzacz audio z prostym interfejsem budzcym
skojarzenia z playmp3list. Obsuguje formaty MP3, Ogg, FLAC, 
Musepack, Speex, WAV oraz inne mniej popularne formaty wspierane przez
bibliotek libsndfile. Ma wszystkie funkcje, ktrych mona spodziewa
si w prostym odtwarzaczu audio. Teraz take obsuguje strumienie
sieciowe (shoutcast, icecast, HTTP, FTP).

%package mp3
Summary:	MP3 decoder for MoC - Music on Console
Summary(pl):	Dekoder MP3 dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description mp3
This package contains the MP3 decoder.
After install you should reload MOC player.

%description mp3 -l pl
Ten pakiet zawiera dekodowanie formatu MP3.
Po zainstalowaniu naley uruchomi ponownie MOC.

%package musepack
Summary:	Musepack (MPC) decoder for MoC - Music on Console
Summary(pl):	Dekoder Musepack (MPC) dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description musepack
This package contains the Musepack (MPC) decoder.
After install you should reload MOC player.

%description musepack -l pl
Ten pakiet zawiera dekodowanie formatu Musepack (MPC).
Po zainstalowaniu naley uruchomi ponownie MOC.

%package ogg
Summary:	Ogg decoder for MoC - Music on Console
Summary(pl):	Dekoder Ogg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ogg
This package contains the Ogg decoder.
After install you should reload MOC player.

%description ogg -l pl
Ten pakiet zawiera dekodowanie formatu Ogg.
Po zainstalowaniu naley uruchomi ponownie MOC.

%package flac
Summary:	FLAC decoder for MoC - Music on Console
Summary(pl):	Dekoder FLAC dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description flac
This package contains the FLAC decoder.
After install you should reload MOC player.

%description flac -l pl
Ten pakiet zawiera dekodowanie formatu FLAC.
Po zainstalowaniu naley uruchomi ponownie MOC.

%package ffmpeg
Summary:	ffmpeg decoder for MoC - Music on Console
Summary(pl):	Dekoder ffmpeg dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description ffmpeg
This package contains module to decode WMA (and others) 
files.
After install you should reload MOC player.

%description ffmpeg -l pl
Ten pakiet zawiera modu dekodujcy pliki w formacie WMA (i nie tylko)
Po zainstalowaniu naley uruchomi ponownie MOC.

%package sndfile
Summary:	Decoder of the sndfile formats for MoC - Music on Console
Summary(pl):	Dekoder plikw WAV/AIFF
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description sndfile
This package contains the decoders of sndfile.
After install you should reload MOC player.

%description sndfile -l pl
Ten pakiet zapewnia dekodowanie plikw WAV/AIFF.
Po zainstalowaniu naley uruchomi ponownie MOC.

%package speex
Summary:	Speex decoder for MoC - Music on Console
Summary(pl):	Dekoder formatu Speex dla MOC
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-input = %{version}-%{release}

%description speex
This package contains the Speex decoder.
After install you should reload MOC player.

%description speex -l pl
Ten pakiet zapewnia dekodowanie formatu Speex.
Po zainstalowaniu naley uruchomi ponownie MOC.

%prep
%setup -q
%{?with_home_etc:%patch0 -p1}
%patch1 -p1

%build
CFLAGS="-I/usr/include/ncurses %{rpmcflags}"

%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-debug 

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_decoder_plugins}/lib*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO *.example
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/moc
%dir %{_libdir}/moc/decoder_plugins
%{_datadir}/%{name}
%{_mandir}/man1/mocp*

%files musepack
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmusepack_decoder.so*

%files flac
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libflac_decoder.so*

%files ffmpeg
%defattr(664,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libffmpeg_decoder.so

%files mp3
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libmp3_decoder.so*

%files ogg
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libvorbis_decoder.so*

%files sndfile
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libsndfile_formats_decoder.so*

%files speex
%defattr(644,root,root,755)
%attr(755,root,root) %{_decoder_plugins}/libspeex_decoder.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: moc.spec,v $
Revision 1.34.2.2  2007/03/18 13:58:10  glen
- rel 6 (curl rebuild)

Revision 1.34.2.1  2007/03/18 00:37:12  glen
- rel 5

Revision 1.34  2007/01/02 05:12:23  sls
- added patch flac
- BR: flac >= 1.1.3
- rel 4

Revision 1.33  2006/12/10 12:34:58  glen
- rel 3 (ffmpeg rebuild)

Revision 1.32  2006/11/13 00:03:51  teodor
- fixed bug in home_etc patch

Revision 1.31  2006/11/07 14:16:03  teodor
- up to 2.4.1

Revision 1.30  2006/07/14 14:08:24  teodor
- BR: speex-devel

Revision 1.29  2006/04/06 09:24:56  qboosh
- restored pl for -flac

Revision 1.28  2006/04/06 08:38:23  teodor
- up to 2.4.0 stable
- ffmpeg plugin move into subpackage

Revision 1.27  2006/01/30 08:36:33  teodor
- updated to 2.4.0-beta2

Revision 1.26  2006/01/22 21:13:34  qboosh
- tabs, attr cleanups, removed Rs which should be autogenerated

Revision 1.25  2006/01/22 20:19:06  teodor
- move decoders to subpackages
- change rel. name to more propery

Revision 1.24  2006/01/18 16:05:26  teodor
- updated to 2.4.0beta1

Revision 1.23  2005/10/12 00:00:43  charles
- BR: libtool, updated %doc

Revision 1.22  2005/10/06 10:49:58  teodor
- up to 2.3.2 thanks to Maciek Mitura <emkwadrat@poczta.onet.pl>

Revision 1.21  2005/07/29 00:13:41  charles
- ALSA support - BR: alsa-lib-devel

Revision 1.20  2005/07/28 16:51:57  qboosh
- removed bogus autogen BR

Revision 1.19  2005/07/28 16:36:51  qboosh
- missing dirs, .so perms, desc fixes, BR: libltdl-devel

Revision 1.18  2005/07/28 16:04:55  jasw
- up to 2.3.0 thx Badman - pld(at)vp.pl

Revision 1.17  2005/05/17 22:21:23  koorek
- updated to 2.2.2

Revision 1.16  2005/05/07 11:31:04  saq
- remove ncurses.patch -- unnecessary in presence of valid CFLAGS

Revision 1.15  2005/04/10 19:10:59  saq
- missing BR

Revision 1.14  2005/02/27 11:35:55  qboosh
- missing dirs

Revision 1.13  2005/02/27 04:43:35  koorek
- Up to 2.2.0 (stable)
- Added BR flac-devel, libsndfile-devel
- Added themes and example configs

Revision 1.12  2005/01/09 18:00:46  adamg
- updated to 2.1.4

Revision 1.11  2004/12/20 19:48:53  qboosh
- fixed typo in version in last commit message

Revision 1.10  2004/12/17 17:43:04  kolodko
- up to 2.1.3
- disable-debug
- added man page

Revision 1.9  2004/11/03 21:49:31  paszczus
- updated to 2.0.0
- release 0.1 - test build please

Revision 1.8  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.7  2003/12/13 12:18:32  qboosh
- s/mad-devel/libmad-devel/

Revision 1.6  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.5  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.4  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.3  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/03 21:22:20  migo
- initial revision
- what is a proper solution for ncurses include path problem?
